---
title: Window.outerWidth
slug: Web/API/Window/outerWidth
tags:
  - API
  - CSSOM View
  - NeedsContent
  - Property
  - Reference
---
<div>{{APIRef}}</div>

<p><strong><code>Window.outerWidth</code></strong> read-only property returns the width of the outside of the browser window. It represents the width of the whole browser window including sidebar (if expanded), window chrome and window resizing borders/handles.</p>

<h2 id="Notes">Notes</h2>

<p>To change the size of a window, see {{domxref("window.resizeBy()")}} and {{domxref("window.resizeTo()")}}.</p>

<p>To get the inner width of a window, i.e. the width of the page being displayed, see {{domxref("window.innerWidth")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#dom-window-outerwidth', 'Window.outerWidth') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.outerWidth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.outerHeight")}}, {{domxref("window.innerHeight")}}, {{domxref("window.innerWidth")}}</li>
 <li>{{domxref("window.resizeBy()")}}, {{domxref("window.resizeTo()")}}</li>
</ul>
